Will T-Mobile update the S7 (SM-G930T) bootloader to version 7?

magenta6458840

    I currently have an unlocked, Sprint S7, which I cannot use safely on T-Mobile's network because it doesn't support VoLTE (calls frequently fail or take several minutes to connect). I would like to switch my phone's firmware to the T-mobile version (a legal and straightforward process), but Sprint is using bootloader v7, while T-Mobile is still on v4. It is not possible to install firmware with a lower bootloader version. If T-mobile released firmware with v7 (or higher) bootloader it would allow me (and many more people) to switch to T-Mobile. (It would also make it harder to switch away from T-mobile, since ATT, Verizon, and Unlocked bootloader versions are all still v4).

      All replies